Subject: Re: bug#20728: 25.0.50; grep and grep-find templates should have a place holder for the --color argument

From: Dmitry Gutov <[email-masked]>
Date: Thu, 11 Jun 2015 10:23:02 +0300

On 06/11/2015 02:49 AM, Juri Linkov wrote:

> With the mnemonics <C> = <Color> :)

Rename it, then? But I'd be fine with keeping the "wrong" letter for 
compatibility with templates set by third-party code, if there's any.

> OTOH, null-device has a separate placeholder <N>.

And it seems to never be used anywhere. Again, grep-compute-defaults 
inlines the appropriate value in the templates.

Maybe we should remove the mentions of it from the docstrings.

> I don't care about formal criteria of changing `error' to `user-error',
> my approach is driven by practical needs

I think those are one and the same. :)